Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.clsdesc.manchester
Class CreateIndividualSuggestion

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.clsdesc.manchester.AbstractNamedObjectCreationSuggestion
          edu.stanford.smi.protegex.owl.ui.clsdesc.manchester.CreateIndividualSuggestion

All Implemented Interfaces:
  Suggestion

    public class CreateIndividualSuggestion

extends AbstractNamedObjectCreationSuggestion

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Sep 7, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`CreateIndividualSuggestion(OWLModel model, String name)`

Method Summary
`void` | `createObject()`
`Icon` | `getIcon()`
`String` | `getObjectType()`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.clsdesc.manchester.AbstractNamedObjectCreationSuggestion
`getDescription, getModel, getName, performSuggestion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateIndividualSuggestion

    public CreateIndividualSuggestion(OWLModel model,
                                      String name)

Method Detail

### createObject

    public void createObject()

  Specified by:
    `createObject` in class `AbstractNamedObjectCreationSuggestion`

### getObjectType

    public String getObjectType()

  Specified by:
    `getObjectType` in class `AbstractNamedObjectCreationSuggestion`

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `Suggestion`
  Overrides:
    `getIcon` in class `AbstractNamedObjectCreationSuggestion`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.